PipeWire 0.1.9

Data Structures | Macros | Enumerations | Functions
stream.h File Reference
Include dependency graph for stream.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | pw_stream_events
| Events for a stream. More...
struct | pw_time
| A time structure. More...

## Macros
#define | PW_VERSION_STREAM_EVENTS 0
#define | PW_STREAM_PROP_IS_LIVE "pipewire.latency.is-live"
| Indicates that the stream is live, boolean default false. More...
#define | PW_STREAM_PROP_LATENCY_MIN "pipewire.latency.min"
| The minimum latency of the stream, int, default 0. More...
#define | PW_STREAM_PROP_LATENCY_MAX "pipewire.latency.max"
| The maximum latency of the stream, int default MAXINT. More...

## Enumerations
enum | pw_stream_state { PW_STREAM_STATE_ERROR = -1, PW_STREAM_STATE_UNCONNECTED = 0, PW_STREAM_STATE_CONNECTING = 1, PW_STREAM_STATE_CONFIGURE = 2, PW_STREAM_STATE_READY = 3, PW_STREAM_STATE_PAUSED = 4, PW_STREAM_STATE_STREAMING = 5 }
| The state of a stream. More...
enum | pw_stream_flags { PW_STREAM_FLAG_NONE = 0, PW_STREAM_FLAG_AUTOCONNECT = (1 << 0), PW_STREAM_FLAG_CLOCK_UPDATE = (1 << 1), PW_STREAM_FLAG_INACTIVE = (1 << 2) }
| Extra flags that can be used in pw_stream_connect() More...

## Functions
void | pw_stream_add_listener (struct pw_stream *stream, struct spa_hook *listener, const struct pw_stream_events *events, void *data)
enum pw_stream_state | pw_stream_get_state (struct pw_stream *stream, const char **error)
const char * | pw_stream_get_name (struct pw_stream *stream)
const struct pw_properties * | pw_stream_get_properties (struct pw_stream *stream)

## Macro Definition Documentation

## ◆ PW_STREAM_PROP_IS_LIVE

#define PW_STREAM_PROP_IS_LIVE "pipewire.latency.is-live"

Indicates that the stream is live, boolean default false.

## ◆ PW_STREAM_PROP_LATENCY_MAX

#define PW_STREAM_PROP_LATENCY_MAX "pipewire.latency.max"

The maximum latency of the stream, int default MAXINT.

## ◆ PW_STREAM_PROP_LATENCY_MIN

#define PW_STREAM_PROP_LATENCY_MIN "pipewire.latency.min"

The minimum latency of the stream, int, default 0.

## ◆ PW_VERSION_STREAM_EVENTS

#define PW_VERSION_STREAM_EVENTS 0

## Enumeration Type Documentation

## ◆ pw_stream_flags

enum pw_stream_flags

Extra flags that can be used in pw_stream_connect()

Enumerator
PW_STREAM_FLAG_NONE | no flags
PW_STREAM_FLAG_AUTOCONNECT | try to automatically connect this stream
PW_STREAM_FLAG_CLOCK_UPDATE | request periodic clock updates for this stream
PW_STREAM_FLAG_INACTIVE | start the stream inactive

## ◆ pw_stream_state

enum pw_stream_state

The state of a stream.

Enumerator
PW_STREAM_STATE_ERROR | the strean is in error
PW_STREAM_STATE_UNCONNECTED | unconnected
PW_STREAM_STATE_CONNECTING | connection is in progress
PW_STREAM_STATE_CONFIGURE | stream is being configured
PW_STREAM_STATE_READY | stream is ready
PW_STREAM_STATE_PAUSED | paused, fully configured but not processing data yet
PW_STREAM_STATE_STREAMING | streaming

## Function Documentation

## ◆ pw_stream_add_listener()

void pw_stream_add_listener | ( | struct pw_stream * | stream,
|  | struct spa_hook * | listener,
|  | const struct pw_stream_events * | events,
|  | void * | data
| ) |  |

## ◆ pw_stream_get_name()

const char* pw_stream_get_name | ( | struct pw_stream * | stream | ) |

## ◆ pw_stream_get_properties()

const struct pw_properties* pw_stream_get_properties | ( | struct pw_stream * | stream | ) |

## ◆ pw_stream_get_state()

enum pw_stream_state pw_stream_get_state | ( | struct pw_stream * | stream,
|  | const char ** | error
| ) |  |